Rule Solver API GAIA (v1)
Solve a rule on GAIA solver and get the result in the same call.
Solver GAIA (v1) is no longer developed, and new features are released only on AERO (v2). We recommend moving to Rule Solver API v2. See Rule Solver API Migration to learn how.
This page describes version 1 (GAIA) of the Rule Solver API. It remains available for existing integrations.
Swagger
You can check out these endpoints and call them right away using swagger.
Swagger UI: https://api.decisionrules.io/api/solver/docs
Swagger JSON File: https://api.decisionrules.io/api/solver/docs/json
Solves the rule on solver v1 (Gaia). If the {ruleVersion} parameter is omitted from the path, the last published rule version will be used automatically.
Please insert: "Bearer <SOLVER_API_KEY>" into Authorization header.
Unique identifier for the rule that is common to all rule versions. Instead of rule ID, it is possible to use a rule alias.
Rule version. If not provided, the latest published version is used.
The media type of the request body.
application/jsonExecution strategy used to evaluate the rule. See Execution Strategy.
STANDARDPossible values: Lookup method, used only with Lookup Tables.
Correlation ID, if you'd like to set it manually. If not present, it will be generated automatically and returned in the response.
On-premise deployments only: set to true to solve rules with the status pending. On DecisionRules Cloud this header has no effect.
Whether to create and save an audit of the solve.
truePossible values: Number of days after which the audit will be deleted. Default is 14 days.
14JSON object that describes the input json data.
Object specifying solver options.
OK
Bad Request. Returned for an unknown rule or a missing API key.
Authentication failed.
POST /rule/v1/solve/{ruleId}/{ruleVersion} HTTP/1.1
Host: api.decisionrules.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 81
{
"data": {
"monthlySalaryInDollars": 2000,
"typeOfContract": "employee"
},
"options": {}
}[
{
"car": {
"price": "666666",
"seats": {},
"discount": {
"low": "2",
"high": "33"
}
}
}
]The original path without a solver version. It runs on solver v1. If the {ruleVersion} parameter is omitted from the path, the last published rule version will be used automatically.
Please insert: "Bearer <SOLVER_API_KEY>" into Authorization header.
Unique identifier for the rule that is common to all rule versions. Instead of rule ID, it is possible to use a rule alias.
Rule version. If not provided, the latest published version is used.
The media type of the request body.
application/jsonExecution strategy used to evaluate the rule. See Execution Strategy.
STANDARDPossible values: Lookup method, used only with Lookup Tables.
Correlation ID, if you'd like to set it manually. If not present, it will be generated automatically and returned in the response.
On-premise deployments only: set to true to solve rules with the status pending. On DecisionRules Cloud this header has no effect.
Whether to create and save an audit of the solve.
truePossible values: Number of days after which the audit will be deleted. Default is 14 days.
14JSON object that describes the input json data.
Object specifying solver options.
OK
Bad Request. Returned for an unknown rule or a missing API key.
Authentication failed.
POST /rule/solve/{ruleId}/{ruleVersion} HTTP/1.1
Host: api.decisionrules.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 81
{
"data": {
"monthlySalaryInDollars": 2000,
"typeOfContract": "employee"
},
"options": {}
}[
{
"car": {
"price": "666666",
"seats": {},
"discount": {
"low": "2",
"high": "33"
}
}
}
]Last updated
Was this helpful?

